<?php

namespace Drupal\betasite_switches\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Beta Switch entities.
 */
interface BetaSwitchInterface extends ConfigEntityInterface {

  /**
   * Returns the beta switch description.
   *
   * @return string
   *   The beta switch description.
   */
  public function getDescription();

  /**
   * Gets the beta switch status.
   *
   * @return integer
   *   The beta switch status.
   */
  public function getStatus();

  /**
   * Sets the beta switch status.
   *
   * @param integer $status
   *   The status.
   *
   * @return $this
   */
  public function setStatus($status);

}
